> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve A User

GET a single User by its ID. Visibility follows the same organization- and project-level rules as the [list endpoint](/api-reference/user-resource-instances).


## OpenAPI

````yaml GET /api/v1/users/{id}
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/users/{id}:
    get:
      summary: GET users
      operationId: get_users_self
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/users'
          description: OK
components:
  schemas:
    users:
      properties:
        $uri:
          example: /api/v1/users/0d77065796f8d173
          pattern: ^/api/v1/users/[a-f0-9]{16}$
          readOnly: true
          title: $Uri
          type: string
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
      required:
        - $uri
        - email
      title: users
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````